Skip to main content
GET
/
surveys
/
{id}
Get survey details
curl --request GET \
  --url https://api.questra.ai/surveys/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Org-Id: <x-org-id>'
{
  "id": "<string>",
  "slug": "<string>",
  "name": "<string>",
  "fileId": "<string>",
  "orgId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "failedAt": "2023-11-07T05:31:56Z",
  "failureReason": "<string>",
  "priorQa": [
    {
      "id": "<string>",
      "summary": "<string>",
      "userClarification": "<string>",
      "excerpt": "<string>",
      "suggestions": [
        "<string>"
      ],
      "detail": {}
    }
  ],
  "programmingStartedAt": "2023-11-07T05:31:56Z",
  "programmingCompletedAt": "2023-11-07T05:31:56Z",
  "questraIrProgrammingDurationMs": 1,
  "platformIrConversionStartedAt": "2023-11-07T05:31:56Z",
  "platformIrConversionDurationMs": 1,
  "styleGuideApplicationDurationMs": 1,
  "targetIntegrationId": "<string>",
  "targetExistingSurveyId": "<string>",
  "prereqsSubmittedAt": "2023-11-07T05:31:56Z",
  "platformIrLastPushedAt": "2023-11-07T05:31:56Z",
  "platformIrLastPulledAt": "2023-11-07T05:31:56Z",
  "platformIrChecksum": "<string>",
  "platform_state_age_seconds": 1,
  "platform_state": {
    "in_sync": true,
    "last_pushed_at": "2023-11-07T05:31:56Z",
    "last_pulled_at": "2023-11-07T05:31:56Z",
    "upstream_changed": true
  },
  "needs_platform": true,
  "platform_ir_available": true,
  "responseCount": 1,
  "responseCountSyncedAt": "2023-11-07T05:31:56Z",
  "liveAt": "2023-11-07T05:31:56Z",
  "closedAt": "2023-11-07T05:31:56Z",
  "hasLinkedIntegration": true,
  "platformDashboardUrl": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.questra.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

id
string
required

Unique ID or slug of the survey

Response

id
string
required
slug
string
required
name
string
required
fileId
string | null
required
orgId
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
status
enum<string>
required
Available options:
pending,
programming,
waiting_for_destination,
compiling,
reviewing,
live,
closed
failedAt
string<date-time> | null
required
failureReason
string | null
required
priorQa
object[] | null
required
programmingStatus
enum<string> | null
required
Available options:
queued,
programming,
completed,
failed,
null
programmingStartedAt
string<date-time> | null
required
programmingCompletedAt
string<date-time> | null
required
questraIrProgrammingDurationMs
integer | null
required
Required range: x >= 0
platformIrConversionStartedAt
string<date-time> | null
required
platformIrConversionDurationMs
integer | null
required
Required range: x >= 0
styleGuideApplicationDurationMs
integer | null
required
Required range: x >= 0
targetPlatform
enum<string> | null
required
Available options:
alchemer,
confirmit,
decipher,
qualtrics
targetIntegrationId
string | null
required
targetExistingSurveyId
string | null
required
prereqsSubmittedAt
string<date-time> | null
required
platformIrLastPushedAt
string<date-time> | null
required
platformIrLastPulledAt
string<date-time> | null
required
platformIrChecksum
string | null
required
platform_state_age_seconds
integer | null
required
Required range: x >= 0
platform_state
object
required
needs_platform
boolean
required
platform_ir_available
boolean
required
responseCount
integer
required
Required range: x >= 0
responseCountSyncedAt
string<date-time> | null
required
liveAt
string<date-time> | null
required
closedAt
string<date-time> | null
required
hasLinkedIntegration
boolean
required
platformDashboardUrl
string<uri> | null
required